Bug 108376 - EDITING: Formatting (partially) lost if content is copied from a inside a cell and pasted into a new one
Summary: EDITING: Formatting (partially) lost if content is copied from a inside a cel...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
: 108332 (view as bug list)
Depends on:
Blocks: Paste
  Show dependency treegraph
 
Reported: 2017-06-06 20:59 UTC by Telesto
Modified: 2019-06-12 02:58 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Example file (9.91 KB, application/vnd.oasis.opendocument.spreadsheet)
2017-06-06 21:00 UTC, Telesto
Details
Screencast (479.00 KB, video/x-msvideo)
2017-06-07 12:49 UTC, Telesto
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2017-06-06 20:59:42 UTC
Description:
This bug report is based on bug 108332. There is a loss of some or all formatting while pasting if the content is copied from inside a cell and pasted into a new cell (without entering that cell first)

Steps to Reproduce:
1. Open the attached file
2. Enter A2 and copy the text. Paste it into B1 without entering the cell -> Formatting will be lost) 
3. Enter A2 and copy the text. Select cell B2 and paste -> Red formatting will be lost; Bold stays behind
4. Enter A3 and copy the text. Select cell B3 and paste -> Formatting stays intact
5. Enter A4 and copy the text. Select cell B4 and paste -> Formatting stays intact
6. A5, A6, A7 behave similar to step 2

Actual Results:  
There is - in most of the cases - a loss of formatting while pasting. It's quite inconsistent.


Expected Results:
The copy/paste behavior should be consistent; formatting should remain



Reproducible: Always

User Profile Reset: No

Additional Info:
Found in
Version: 5.5.0.0.alpha0+
Build ID: ec79f3453471ee9b6ae32e71ff16ea99d9b7751c
CPU threads: 4; OS: Windows 6.19; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2017-05-28_23:21:44
Locale: nl-NL (nl_NL); Calc: CL

and in
LibreOffice 3.3.0 
OOO330m19 (Build:6)
tag libreoffice-3.3.0.4


User-Agent: Mozilla/5.0 (Windows NT 6.2; WOW64; rv:45.0) Gecko/20100101 Firefox/45.0
Comment 1 Telesto 2017-06-06 21:00:12 UTC
Created attachment 133881 [details]
Example file
Comment 2 Xavier Van Wijmeersch 2017-06-07 12:29:41 UTC
I can't reproduce even with using the mouse

Version: 5.5.0.0.alpha0+
Build ID: ddf8539d97ce044b7df8d51d6ec72ec864b40fb8
CPU threads: 2; OS: Linux 4.9; UI render: default; VCL: kde4; 
TinderBox: Linux-rpm_deb-x86@71-TDF, Branch:master, Time: 2017-06-04_22:00:43
Locale: nl-BE (en_US.UTF-8); Calc: group

Version: 5.4.0.0.beta1+
Build ID: 4a17ebe23a88297fa2f1cd85f0bef8c266962188
CPU threads: 2; OS: Linux 4.9; UI render: default; VCL: kde4; 
TinderBox: Linux-rpm_deb-x86@71-TDF, Branch:libreoffice-5-4, Time: 2017-06-04_10:17:07
Locale: nl-BE (en_US.UTF-8); Calc: group

Version: 5.3.3.2
Build ID: SlackBuild for 5.3.3 by Eric Hameleers
CPU Threads: 2; OS Version: Linux 4.9; UI Render: default; VCL: kde4; Layout Engine: new; 
Locale: en-US (en_US.UTF-8); Calc: group
Comment 3 Telesto 2017-06-07 12:49:01 UTC
Created attachment 133895 [details]
Screencast
Comment 4 Buovjaga 2017-06-10 18:06:29 UTC
Yes, I noticed this as well while testing bug 108332, on blank documents. Good catch that it happens when you do not enter input mode in the cell.
I could not find a duplicate for this old bug, which is weird.

Arch Linux 64-bit, KDE Plasma 5
Version: 5.5.0.0.alpha0+
Build ID: 2802dca10eef67554a81cb2347d5f648fa6fcd63
CPU threads: 8; OS: Linux 4.11; UI render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on June 10th 2017

Arch Linux 64-bit
Version 3.6.7.2 (Build ID: e183d5b)
Comment 5 Buovjaga 2017-06-10 18:09:16 UTC
*** Bug 108332 has been marked as a duplicate of this bug. ***
Comment 6 QA Administrators 2018-06-11 02:34:47 UTC Comment hidden (obsolete)
Comment 7 Xavier Van Wijmeersch 2018-06-11 08:17:34 UTC
Using the demo file to test and i can still not reproduce the problem
Yes i did look at the video where the problem occurs

Version: 6.2.0.0.alpha0+
Build ID: 7d521a85858bacdb7b5db359036ccf6f01b709c3
CPU threads: 8; OS: Linux 4.14; UI render: default; VCL: kde4; 
Locale: nl-BE (en_US.UTF-8); Calc: group threaded
Comment 8 QA Administrators 2019-06-12 02:58:05 UTC
Dear Telesto,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug